/*
MPEG 2 decoder bitstream xfer
*/

#include <stdio.h>
#include <stdlib.h>

#define	TRUE		1
#define	FALSE		0

int main(int argc, char **argv)
{
	FILE	*fp;
	FILE	*fpout;
	static unsigned char	buffer[16384];
	int	length, result;
	long long	clip_length;

	if (argc != 4) {
		fprintf(stderr, "usage: tail <infile> <outfile> <length>\n");
		exit(-1);
	}

	/*--- open binary file (for parsing) ---*/
	fp = fopen(argv[1], "rb");
	if (fp == 0) {
		fprintf(stderr, "Cannot open input file <%s>\n", argv[1]);
		exit(-1);
	}

	/*--- open binary file (for parsing) ---*/
	fpout = fopen(argv[2], "wb");
	if (fpout == 0) {
		fprintf(stderr, "Cannot open output file <%s>\n", argv[2]);
		exit(-1);
	}

	clip_length = _atoi64(argv[3]);
	clip_length = 0 - clip_length;

	result = _fseeki64(fp, clip_length, SEEK_END);
	while(!feof(fp))  {
		length = fread(&buffer[0], 1, 16384, fp);
		fwrite(&buffer[0], 1, length, fpout);
	}
	fclose(fp);
	fclose(fpout);
	return 0;
}
